#define MiX_ATTRMAP_CPP_

#include "AttrMap.h"

namespace MiX{

  template <class charT,class char_traits,class xml_traits>
  XMLString<charT,char_traits,xml_traits> AttrMap<charT,char_traits,xml_traits>::operator[](const XMLString<charT,char_traits,xml_traits>& key) const {
    const_iterator it = find(key);
    if(it==end()) return string_type();
    return (*it).second;
  }
}
